Bug 23334 - I815 CD Audio problem
I815 CD Audio problem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-04 12:53 EST by Dan Taylor
Modified: 2007-04-18 12:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-21 23:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Taylor 2001-01-04 12:53:37 EST
Dell PWS 220 w/ integrated i815 audio.  Kernel 2.4.0-0.43.6
CD Audio stops working when the pcm volume is increased.
When playing a audio CD, if you turn up the PCM volume in the mixer 
(xmixer, gmix), CD Audio fades out and stops working.  Does not happen 
with KDE.

Module                  Size  Used by
i810_audio             11696   0  (autoclean)
ac97_codec              7792   0  (autoclean) [i810_audio]
soundcore               4240   2  (autoclean) [i810_audio]
cpia_usb                4480   0  (autoclean) (unused)
cpia_pp                 3792   0  (autoclean) (unused)
parport                25184   0  (autoclean) [cpia_pp]
cpia                   44240   0  [cpia_usb cpia_pp]
videodev                3168   0  [cpia]
usbcore                49184   1  [cpia_usb]
ide-cd                 25168   0 
ide-disk                7488   3 
ide-mod               123408   3  [ide-cd ide-disk]
Comment 1 Dan Taylor 2001-01-10 11:56:59 EST
Adding lspci info per request:
00:00.0 Host bridge: Intel Corporation 82820 820 (Camino) Chipset Host Bridge 
(MCH) (rev 03)
	Subsystem: Dell Computer Corporation: Unknown device 0095
	Flags: bus master, fast devsel, latency 0
	Memory at f0000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 2.0

00:01.0 PCI bridge: Intel Corporation 82820 820 (Camino) Chipset PCI to AGP 
Bridge (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, fast devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	Memory behind bridge: fc000000-fdffffff
	Prefetchable memory behind bridge: f4000000-f5ffffff

00:1e.0 PCI bridge: Intel Corporation 82801AA PCI Bridge (rev 02) (prog-if 00 
[Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fa000000-fbffffff

00:1f.0 ISA bridge: Intel Corporation 82801AA ISA Bridge (LPC) (rev 02)
	Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 82801AA IDE (rev 02) (prog-if 80 
	Subsystem: Intel Corporation 82801AA IDE
	Flags: bus master, medium devsel, latency 0
	I/O ports at ffa0 [size=16]

00:1f.2 USB Controller: Intel Corporation 82801AA USB (rev 02) (prog-if 00 
	Subsystem: Intel Corporation 82801AA USB
	Flags: bus master, medium devsel, latency 0, IRQ 19
	I/O ports at ff80 [size=32]

00:1f.3 SMBus: Intel Corporation 82801AA SMBus (rev 02)
	Subsystem: Intel Corporation 82801AA SMBus
	Flags: medium devsel, IRQ 17
	I/O ports at dcd0 [size=16]

00:1f.5 Multimedia audio controller: Intel Corporation 82801AA AC'97 Audio (rev 
	Subsystem: Dell Computer Corporation: Unknown device 0095
	Flags: bus master, medium devsel, latency 0, IRQ 17
	I/O ports at d800 [size=256]
	I/O ports at dc80 [size=64]

01:00.0 VGA compatible controller: nVidia Corporation Riva TnT2 [NV5] (rev 11) 
(prog-if 00 [VGA])
	Subsystem: Diamond Multimedia Systems: Unknown device 5a40
	Flags: 66Mhz, medium devsel, IRQ 16
	Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
	Memory at f4000000 (32-bit, prefetchable) [size=32M]
	Expansion ROM at 80000000 [disabled] [size=64K]
	Capabilities: [60] Power Management version 1
	Capabilities: [44] AGP version 2.0

02:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX [Fast Etherlink] (rev 
	Subsystem: Dell Computer Corporation: Unknown device 0095
	Flags: bus master, medium devsel, latency 64, IRQ 18
	I/O ports at ec80 [size=128]
	Memory at fafffc00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at fb000000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2

Comment 2 Havoc Pennington 2001-01-10 12:09:31 EST
I'm not sure this is a kernel bug, but if it's a problem with 2.4 specifically
or this particular CD drive, then the kernel people are the ones who understand
it, so I'm moving the bug to them.
Comment 3 Dan Taylor 2001-01-10 14:06:30 EST
Hmm I don't think its a kernel bug as it isnt happening with KDE.  However I 
just found that it is doing it on a Optiplex GX110 as well (also uses the 
i810) .  However I discovered it did not start happening until I selected the 
enable sound server and Sounds for events in the Gnome Control Center.  
Disabling these allows the CD audio to function properly.  So where should this 
Comment 4 Havoc Pennington 2001-01-10 15:06:28 EST
Ah, that would indicate some sort of esound issue.
Comment 5 David Mason 2001-01-10 15:11:31 EST
assigning to sopwith as its esound!
Comment 6 Elliot Lee 2001-01-10 16:41:03 EST

I wish people would read further instead of latching onto the 'esound' word :)

I am going to take a shot in the dark and blame this on the kernel even though
it is assigned to esound for now. This is because esound does not control mixer
levels (the mixer) at all - it just outputs sound. Normal inputs into the mixer
should not produce erroneous outputs...

Can you reproduce this behaviour on a system with different sound hardware? If
not, that would be another pointer towards a kernel problem.
Comment 7 Elliot Lee 2001-01-22 20:05:20 EST
Any further info available on reproducing the problem in a hardware-independant
Comment 8 Dan Taylor 2001-01-23 10:05:27 EST
When I disable the onboard sound & install a SB Live card the problem goes 
away.  I have been able to reproduce on both the i810 & i815 systems (both use 
the same sound module).
Comment 9 Elliot Lee 2001-01-25 12:49:16 EST
Because the behaviour described by Daniel seems to indicate that this problem is
specific to a particular type of hardware, I'm thinking that this is a problem
with the I810/I815 sound driver rather than esound. If someone on the kernel
side of things happens to come up with a hardware-independant theory, I'll keep
myself on the Cc list for this bug just in case. Most likely it is just driver
Comment 10 Dan Taylor 2001-01-30 15:21:44 EST
Verified still occuring in beta3/fisher
Comment 11 Doug Ledford 2001-03-01 22:49:52 EST
I'm unable to reproduce this here on the p330 workstation (i810 audio, unknown
codec)  Can you find out what the codec is on each of the machines that have
this problem and report that back here.  Also, when this happens, see if turning
up the CD-ROM volume using a mixer will bring the CD-ROM back after it has faded
out.  This may be a relative level output issue with the codec (aka, if you let
one volume setting get too much higher than another then the codec in question
cuts out the the lower setting channels with a greater degree of rejection than
it should).
Comment 12 Rogelio Noriega 2001-03-19 09:33:01 EST
Update two new issues.

1)Running sound config: you can hear that Linus Torvalds sounds like the 
chipmunks.  the bit rate is wierd.  However, esd plays fine and Quake 3 runs 

2)Once you enable the sound server at startup in the Gnome utilities Quake 3 
sound stops running.  you have to disable it and reboot the system to have Q3 
run with sound again.

Comment 13 Rogelio Noriega 2001-03-20 16:03:19 EST
Same problem occurrs in qa0319
Comment 14 Doug Ledford 2001-03-21 23:29:04 EST
Please don't add new bug issues to an existing bug report, instead open new bug
reports for the two new issues.  In this case though, don't bother.  The
chipmunk sound issue is because sox doesn't upsample the sound sample to 16 bit
stereo and that's the only mode the i810 chipset supports so the formats are
mismatched.  That problem has to be resolved with sox (if anywhere).  The second
issue isn't a bug, it's expected behavior.  Once the esd daemon takes over the
sound channel (which happens when you turn on sound events in gnome) then quake3
can no longer open the sound device and you don't get sound.  You don't have to
reboot to fix it though, simply changing the setting and the logging out of your
X windows session so that the X session is restarted should be sufficient to get
quake3 working again.

So, having addressed those two issues, we are back to the original issue.  So
far, we know the following things:

It only happens when using gnome and having sound events enabled (aka, only with
esound running) and it only happens on certain i810 hardware (it doesn't happen
on the 330 test machine I have here for example).  It involves an interaction
between increasing the PCM volume and listening to CD audio.  Elliot, does esd
play silence when there are no sounds currently being played or does it simply
not play anything at all?  Daniel, I need to know what codecs are on the failing
machines.  You can't find the codec by looking in the lspci output because it
isn't a pci device, but the i810 sound driver outputs the codec signature on
startup so the messages from the i810 sound driver init should be sufficient. 
Daniel, when the problem happens, is anything in particular playing on the PCM
channel, or is it silent?  What about the CD, I assume you have some musical CD
you are listening to.  Does it go totally silent or does it just get quiter?
Comment 15 Rogelio Noriega 2001-07-25 10:32:19 EDT
This slipped by me this is no longer happening in gold promblem fixed.

Note You need to log in before you can comment on or make changes to this bug.